Gnome XML Library Reference Manual
<<< Previous Page | Home | Up | Next Page >>>

# catalog

## Name

catalog --

## Synopsis

    #define     XML_CATALOGS_NAMESPACE
    int         xmlLoadCatalog                  (const char *URL);
    void        xmlLoadCatalogs                 (const char *paths);
    void        xmlCatalogCleanup               (void);
    void        xmlCatalogDump                  (FILE *out);
    const xmlChar* xmlCatalogGetSystem          (const xmlChar *sysID);
    const xmlChar* xmlCatalogGetPublic          (const xmlChar *pubID);

## Description

## Details

### XML_CATALOGS_NAMESPACE

    #define     XML_CATALOGS_NAMESPACE

The namespace for the XML Catalogs elements

### xmlLoadCatalog ()

    int         xmlLoadCatalog                  (const char *URL);

`URL` : |
Returns : |

### xmlLoadCatalogs ()

    void        xmlLoadCatalogs                 (const char *paths);

`paths` : |

### xmlCatalogCleanup ()

    void        xmlCatalogCleanup               (void);

Free up all the memory associated with catalogs

### xmlCatalogDump ()

    void        xmlCatalogDump                  (FILE *out);

Free up all the memory associated with catalogs

`out` : |

### xmlCatalogGetSystem ()

    const xmlChar* xmlCatalogGetSystem          (const xmlChar *sysID);

Try to lookup the resource associated to a system ID

`sysID` : |
Returns : |

### xmlCatalogGetPublic ()

    const xmlChar* xmlCatalogGetPublic          (const xmlChar *pubID);

Try to lookup the system ID associated to a public ID

`pubID` : |
Returns : |

<<< Previous Page | Home | Up | Next Page >>>
xmlIO | DOCBparser